Remote Control Overview
         Next Topic

Introduction.

Increasingly, businesses need to ensure their IT systems are available on a 24/7 basis. As a result, the requirement to monitor and respond to IT events in an automated, timely and remote manner is constantly growing. This in turn is placing more demand on the resources and skill-sets available to IT managers, consultants etc. Remote Control© has been developed to meet these growing demands and requirements.

Remote Control© will report, monitor and help maintain the integrity of both the hardware and software installed on computers with access to a trusted network. Remote Control© automates tasks required of System and Network Administrators, Help Desk and Desktop Maintenance personnel. The product provides its customers with the ability to report information from remote computers, monitor for specified events and maintain the configuration of the remote computers hardware and software.

Remote Control© is aimed at Help Desk personnel, Desktop Managers, Network and Systems Administrators and offers them the ability to change any aspect of the computers they are responsible for. The strength of Remote Control© is the ability to perform tasks on hundreds of computers at the same time.

Remote Control© runs on Windows NT4 (service pack 6), Windows 2000 or later versions of Windows, and is capable of detecting events not only on stand-alone computers, but also those connected through a trusted intranet network.

The Main Functions of Remote Control.

Remote Control is designed to fulfill three functions:

  • Report the current Hardware, Software, Network or Desktop configuration or status of a computer. The results returned can be compared against results from other computers and exported in a number of formats for further processing and use.
  • Monitor and detect events that occur on Windows computers. Events can be related to computer hardware, software or be external to the computer environment. As an example, some types of events that Remote Control© can detect are: a person logging on to a computer, a microprocessor running at 95% load, a file being transferred from one location to another, a database reaching storage capacity, the value of a piece of information changing in a database table, or a particular time of the day being reached.
  • Maintain the setup and configuration of computers. This can involve running scripts or programmes. These scripts or programmes can run with or without operator intervention, can be setup to collect data, report data and change data.

Examples of a response are: display an interactive dialog to collect information from a user, move files through a firewall, unlock a frozen account, backup important files and restore when necessary, or send a text message.

Remote Control© provides an editor to easily enable users to execute any of the hundreds of packages available on any or all of their computers. It also allows users to develop further packages and automate further processes. These packages can be run manually or scheduled to run when a computer starts or is shutdown. The editor has four default levels of complexity designed to suit a variety of user’s skill levels. The skill levels are categorised as Manager, Help Desk, Developer and Administrator. The Manager can view reports of package results; Help Desk can execute and schedule packages; Developer can create new packages and Administrator can implement and change Remote Control© security policies. Customised skill levels can be created by the Administrator to suit individual requirements.

Remote Control© can enhance the performance of an IT team by letting the more skilled and knowledgeable members of the team create packages which allow less experienced team members to carry out these tasks with tightly defined parameters.

© 2007 Laek Limited . All rights reserved.


Technical Support

If you require help beyond the contents of this user guide, or if the issue has not been addressed in the troubleshooting section, we recommend the Laek Forum .

Before you post a new request into one of the forums, please have a read through the posts. It's quite likely that the issue has already been posted and replied to. If it is a new topic then please post it to the forum - a reply will be posted as soon as possible.


System Requirements

Remote Control System Requirements

Please note: A degree of expertise and knowledge is required to manage and control computers, domains and networks. Remote Control will require a domain administrator to install and deploy.

Definitions:

  • Domain - In Windows NT and Windows 2000, a domain is a set of network resources (applications, printers, and so forth) for a group of users. The user needs to log in to the domain to gain access to the resources, which may be located on a number of different servers in the network.
  • Trusted Domain - Trust relationships between domains establish a trusted communication path through which a computer in one domain can communicate with a computer in the other domain. Trust relationships allow users in the trusted domain to access resources in the trusting domain.
  • Controller - The interactive component of Remote Control with a GUI used to manage computers.
  • Hub - The service component of Remote Control without a GUI used to manage computers.
  • Client - The non-interactive component of Remote Control installed on target computers.
  • Database - An MSSQL database i.e. MSDE, MSDE2000, MSSQL2000, MSSQL2003, MSSQL2005 (express), MSSQL2005
  • UDP - (User Datagram Protocol) One of the protocols for data transfer that is part of the TCP/IP suite of protocols.
  • TCP/IP - (Transmission Control Protocol/Internet Protocol) the standard protocol used on an intranet for connecting different types of networks and computers.
  • DCOM - (Distributed Component Object Model) Formerly Network OLE, it is Microsoft's technology for distributed objects.
  • WMI - (Windows Management Instrumentation) A programming interface (API) in Windows that allows system and network devices to be configured and managed.
  • Account - In business environments, there are typically two types of user accounts: standard and administrator. A standard user is prevented from performing tasks such as installing applications, while administrators have the complete run of the computer.

Installation Requirements:

  • Remote Controller - Must be installed on a computer that is a member of your domain or a trusted domain.
  • Remote Control Hub - Must be installed on a computer that is a member of your domain or a trusted domain.
  • Database - Must be installed on a computer that is a member of your domain or a trusted domain.
  • User - You must be a member of the domain you are installing Remote Control into.

Communications Requirements:

  • UDP Ports - Communication must be allowed through ports 10080, 10090.
  • TCP/IP Ports - Communication must be allowed through ports 6040, 6049 or ports you specify in the Remote Controller.

Client Deployment Requirements:

  • DCOM - Must be enabled for remote administration.
  • WMI - Must be enabled for remote administration.
  • Account - A Local Administrator account must exist with the same username as your domain username.

Recommended System Hardware Requirements to run Remote Control Components:

  • Remote Controller - 512Mb Ram, Windows XP, 50Mb Disk Space, Internet access.
  • Remote Control Client – 12Mb Ram, Win NT 4 or later, 2Mb Disk Space.
  • Remote Control Hub – 256Mb Ram, Win NT 4 or later, 50Mb Disk Space.


Assumptions

Please note:

During installation we have made the assumptions listed below.

  1. That the person conducting the installation of Remote Control is a domain administrator and has the relevant security permissions.
  2. That the target computer for the installation meets the minimum requirements (see System Requirements for more information).
  3. That the installation file is either a trial version or a licensed version and includes the .Net framework and MSDE.
  4. That this is the first time Remote Control has been installed and run on the network.


Installing .Net

To install and execute Remote Control©you will need .Net version 1.1 or greater, a Microsoft SQL Server and an installable version of Remote Control.

The instructions that follow assume you do not have .Net installed, do not have a Microsoft SQL Server currently available and are about to install Remote Control© that contains .Net and the MSDE database (trial versions of Remote Control© are available from Laek Limited that install .Net and the MSDE database server).

To start the installation of the Remote Controller double click on the setup file provided by Laek Limited.

If your computer already has .Net installed please skip this topic and go to Installing the Remote Controller and MSDE .

If your computer does not have Microsoft's .Net platform installed, it will be installed now. The instructions below show .Net version 1.1 being installed. If the version of Remote Control you are installing has a different version of .Net bundled with it the screens you see will differ from those shown below.

.Net will begin to install onto your computer.

.Net will present its licence agreement. This will bring up the License Agreement screen. Make sure you read and agree with the license before continuing.

.Net will gather the information it needs and will then install onto your computer.

.Net will finish installing. Click the OK button to continue.


Installing the Remote Controller and MSDE

Installing the Remote Controller

The Remote Control Welcome screen will appear. Click the Next button.

This will bring up the License Agreement screen. Make sure you read and agree with the license before continuing.

The next screen is the component screen. By default the options for Remote Control Editor and Desktop Shortcut are selected. If you do not have a Microsoft SQL Server installed on your computer the Install MSDE Database option will also be selected. The option to install the Remote Control Hub is not selected. Installation and setup of the Remote Control Hub will be covered in a later topic. If you already have a Microsoft SQL Server installed on a different computer and have permissions to connect and create databases you may choose to unselect the Install MSDE Database option.

Click the Next button to continue.

The next screen allows you to choose a location for the installation. Click on the Next button to accept the default location.

The next screen allows you to change the Start Menu folder. Click the Next button to accept the default settings and begin the installation.

Remote Control will install files onto your computer.

If you have elected to install the MSDE database, it will be installed with Remote Control

When all files have been installed, click the Next button.

Click the Finish button to conclude the installation of Remote Control.


Installing the Remote Control Client

The Remote Control client is usually installed using the Deployment facilities within Remote Control. It can also be installed directly by the user. To install the Remote Control Client do the following:

Execute the RemoteControlClientSetup.exe file. This is located in the same folder you installed Remote Control to. The following screen will appear.

The Remote Control Client Welcome screen will appear. Click the Next button.

The next screen allows you to choose a location for the installation. Click on the Next button to accept the default location.

The next screen lets you select a windows account to execute the Remote Control Client with. The Remote Control Client runs in the background as a service. It is running even when no-one is logged onto your computer. This allows Remote Control to execute tasks when the computer starts, when you logon, logoff or shutdown. Almost all tasks that Remote Control performs will involve only the computer that task is executed on and network permissions are not required. Because of these minimal permissions required by Remote Control we suggest you install the Remote Control Client using the Local System Account option.

The alternative is to install the Remote Control Client using a Windows Authenticated Account. The advantage of this is that the Remote Control Client can perform tasks that requirement files to be moved to or from this computer via the intranet or internet. We do NOT recommend this option unless you have a specific need for this and are aware of the potential security issues involved in running a service with a Windows Authenticated Account. Remote Control CAN install and remove software from computers where the Remote Control Client is installed and is executed with a Local System Account.

Select the Install button to continue.

The Remote Control Client will install itself and automatically start. Click the Next button to continue.

Click the Finish button to conclude the installation of the Remote Control Client.


Installing the Remote Control Hub

The Hub acts as a "catch-all" to ensure scheduled tasks are sent to Clients and results are collected from them and stored.

Important:

  • You must install, start and create accounts in the Remote Controller before installing the Hub.
  • Do not install the Hub on the same computer as a Remote Controller.

Some of the tasks the Hub needs to perform may involve moving files between computers or software installation. The Hub will need network permissions to perform these tasks. Because the Hub executes as a service, it needs to be started with a Windows Authenticated Account i.e. a username and password recognised by Windows. This account must have permissions to access the network and any shared resources that contain files you want the Hub to use.

To start the installation of the Remote Control Hub double click on the setup file provided by Laek Limited.

If your computer does not have Microsoft's .Net platform installed, it will be installed now. See Installing .Net for an example of this.

Click the Next button to progress through the Remote Control Welcome screen. This will bring up the License Agreement screen. Make sure you read and agree with the license before continuing.

The next screen is the component screen. By default the options for Remote Control Editor and Desktop Shortcut are selected. If you do not have a Microsoft SQL Server installed on your computer the Install MSDE Database option will also be selected. The option to install the Remote Control Hub is not selected. Unselect the Install MSDE Database option. (this will have been installed when you installed the Controller). Unselect the Remote Control Editor option. Unselect the Desktop Shortcut option. Make sure the Remote Control Hub option is selected.

Click the Next button to continue. The next screen allows you to choose a location for the installation. Click on the Next button to accept the default location. The next screen allows you to change the Start Menu folder. Click the Next button to accept the default settings and begin the installation.

The next screen allows you to enter logon credentials the Hub will be executed with. You SHOULD enter the name and password of a Windows Authenticated Account that has permissions to access the network(s) you want to manage. The username needs to be formatted as follows: domain\username. Click the Install button to continue.

When all files have been installed, click the Next button.

Click the Finish button to conclude the installation of Remote Control.

After installing the Hub, you need supply connection details to allow it to connect to your database.

Navigate to the Remote Control Hub shortcut in your Programs list and select it.

A new icon will appear in your system tray (usually situated at the bottom right of your screen).

Click your Right Mouse Button to bring up a menu and select the DB Logon option.

A Logon dialog will appear on screen.

Select the List Servers button to populate the database Servers drop down list. Select the database Server from this list that you have installed the Controller to. If you are using an SQL Server that requires submission of SQL Account details, enter them in the SQL Login User Name and Password fields. If your SQL Server uses Windows Authentication, select the Trusted Connection checkbox. Enter the Domain, User and Password details of the Remote Control Account the Hub will use. Select the Login button.

If the database Server cannot be communicated with an error will be displayed

If the Remote Control Account you try to use does not exist you will the error above. Enter the domain, username and password of an account already created in Remote Control that you want the Hub to use. When you have successfully connected to the SQL Server the Login dialog will close.

You should now select the Start Service option to start the Hub.

The Hub will use the permissions of the Windows Authenticated Account it is executing with, to contact and talk with the SQL Server. The Remote Control Account the Hub uses will dictate what Packages, and Clients the Hub will be allowed to manage.


Initialising and Logon

After the Controller is installed you will need to do the following:

  • Create User Accounts
  • Deploy Clients
  • Assign Client permissions to User Accounts

To start the Controller select the shortcut from your Programs menu.


Logging on for the First Time

Select the List Servers button to get a list of available SQL Servers. This may take a few minutes to complete.

Select the SQL Server you want Remote Control to use. (If you installed the MSDE this will be on the computer you are using). Select the Trusted Connection option. Select the Login button.

The first time you logon with the Controller it will need to create a database to use.

The dialog box pictures above will appear on screen.

Select the Yes option.

The controller will build the database and tables and populate them with the data it requires.

When this process is finished, the Logon dialog will disappear.

If you are using a licence version of Remote Control a security dialog will appear.

You must enter your licence number and select the Activate button. This security dialog will appear every time you logon until you have created user accounts.

The Controller will now initialise itself.

When the Controller has finished initialising you will see the screen above.


Logging on After Accounts Have Been Created

User Accounts in Remote Control require the same username and domain information that are used for logging onto Windows. If you have already created user accounts within Remote Control you will not need to use the following steps to logon.


Logging on when Force Logon is enabled

If the Force Logon option is selected in the Administrator - Config options there is an extra step that will be required to logon.

The Force Logon option forces users to enter their domain, username and password for verification before they can use Remote Control.

If you try to logon when Force Logon is in effect and do not supply your username etc the error message above will be displayed.

Select the List Servers button to get a list of available SQL Servers. This may take a few minutes to complete.

Select the SQL Server you want Remote Control to use. (If you installed the MSDE this will be on the computer you are using)

Select the Trusted Connection option.

Select the Specify User checkbox. This will enable the Domain, Username and Password entry fields.

Enter you Domain, Username and Password into the required fields.

Select the Login button.


Configuration Options

The Config panel found on the Administrator tab is used to select options for Remote Control, Clients and Users.


Configuring Accounts

You create user accounts here. See the topic on Creating User Accounts for further information.


Configuring Permissions

After creating an account you give users permissions to access functions of Remote Control.

The permissions allow users to view panels, execute Packages, manage Clients etc.

A list of the permissions and their use follows:

Resources | Allow the user to view the Clients, Packages, Schedule tabs
Schedule | Allow the user to view the Schedule tab
Schedule Management | Allow the user to activate, deactivate or delete scheduled tasks
Packages | Allow the user to view the Packages tab
Package Execute | Allow the user to execute Packages
Package Schedule | Allow the user to schedule Packages
Package Session | Allow the user to execute Packages in another session
Package Management | Allow the user to move, rename, create, delete Packages
Group Management | Allow the user to rename, create, delete Groups
Free Management | Allow the user to release or own Packages and Groups
UserSort | Allow the user to view the UserSort display
UserSort Management | Allow the user to create, move, delete, rename UserSort entries
Clients | Allow the user to view the Clients tab
Client Management | Allow the users to reset or poll a Client
Catch/Release | Allow the user to catch or release a Client
VNC | Allow the user VNC on demand to the Client
Administrator | Allow the user to view the Administrator tab
Setup | Allow the user to view the Package Setup tab
Results | Allow the user to view the Results tab
History | Allow the user to view the History tab
Config | Allow the user to view the Config tab
Users | Allow the user to view the Config-Users tab
UserSetup | Allow the user to create, rename or delete users
UserGroups | Allow the user to change Package Group permissions
UserSorts | Allow the user to load,save or edit the UserSort template
UserClients | Allow the user to allocate or deallocate Clients
Global | Allow the user to view the Global tab, UserWeb urls and Force Logon
Developer | Allow the user to view the Developer tab
Edit Setup | Allow the user to create, edit, delete Package setup pages
Edit Script | Allow the user to create, edit, delete Package scripts
Help | Allow the user to view the Help tab
Forum | Allow the user to access the Laek forums
User Web 1 | Allow the user to select UserWeb1
User Web 2 | Allow the user to select UserWeb2
User Web 3 | Allow the user to select UserWeb3


Configuring Groups

This is where the Remote Control packages are displayed and organised. This list of packages can be viewed in a three ways: by a user sort which is configurable per user (and if permissions are set then the user can alter how the packages are organised), a group sort where the packages are sorted into logical groupings, and a package sort where the packages are listed in alphabetical order.


Configuring Clients

This is where Remote Control Clients are displayed and controlled. The list of clients can be viewed in three ways: a tree where each computer is under it's domain, a list where the clients are ordered alphabetically by client name, and a list where the clients are ordered by their IP address.


Create an Administrator Account

Select the "Create a new user" button.

A new account will automatically be generated.

This new account will only have access to the Help - Forum section and will not have access to any packages or client computers.

Right mouse button click on the newly created account and select the 'Rename' option from the menu that appears, to change the Domain\User to the Domain and Username of the person the account is for. If your network uses Workgroups then change the account name to the appropriate Workgroup and Username.

To quickly assign a default set of permissions to the account you can choose Administrator from the drop down box at the top of the Select tab.

This gives the new user permissions to all areas of the Remote Controller and permissions to most of the Groups.

After creating this account and allocating permissions to it we must select the "Update Changes" button to save the account.


Create a Help Desk Account

Select the "Create a new user" button.

A new account will automatically be generated.

This new account will only have access to the Help - Forum section and will not have access to any packages or client computers.

Right mouse button click on the newly created account and select the 'Rename' option from the menu that appears, to change the Domain\User to the Domain and Username of the person the account is for. If your network uses Workgroups then change the account name to the appropriate Workgroup and Username.

To quickly assign a default set of permissions to the account you can choose Help Desk from the drop down box at the top of the Select tab.

This gives the new user permissions to enough areas of the Remote Controller to be able to send scripts out to Remote Control© Clients and view results and permissions to most of the Groups.

Finally, we will only want the help desk operator to be able to interact with Remote Control© Clients that are appropriate so in this example we only select the production client from the Clients tab.

After creating this account and allocating permissions to it we must select the "Update Changes" button to save the account.


Deploying Clients

After you have logged onto the Remote Control Editor, the main Editor screen will appear.

To deploy the Remote Control Client software you will need to permission to access the Administrator - Deployment tab.

The Deployment panel consists of 5 parts.

The Deployment Toolbar

The Domain List

The Computer Tree

The Client Tree

The Messages Box

The steps required to deploy the Remote Control Client software are as follows:

1. Make sure both "dotnetfx.exe" and "RemoteControlClientSetup.exe" files are in the same folder as Remote Control. By default this will be the "C:\Program Files\Remote Control" folder or the folder you installed Remote Control too.

2. Refresh the Domain List. Select the "Refresh Domains" button on the toolbar to do this.

When the Domain List is being refreshed you will see messages in the status bar letting you know how many domains have been discovered. Please be patient, depending on how large your network is, this process may take between 30 seconds and 2 minutes.

When the network has been enumerated, the Domain List will be displayed, showing all the domains that could be discovered on your network.

3. Refresh the Computer Tree. Select the "Show Accounts" button on the toolbar to do this.

When the Computer Tree is being refreshed you will see messages in the status bar letting you know how many computer accounts have been discovered. Please be patient, depending on how large your network is, this process may take between 30 seconds and 5 minutes.

When the network has been enumerated, the Computer Tree will be displayed, showing all the computers that could be discovered on your network. At this stage we know what computer accounts have been created in each domain, we know if the computer has a current IP address and we know if we can detect the client on the network.

Each entry in the Network Tree consists of a checkbox, 2 status boxes and the computer name.

If the 2 status boxes are white, the computer is online and we can detect it.

If the 2 status boxes are gray, we cannot reach or detect the computer.

If you select the computer name a message will appear in the Message box explaining why this computer cannot be deployed too.

You can select all available computers by selecting the "Select All" button on the toolbar.

You can unselect all computers by selecting the "De-select All" button on the toolbar.

4. Ensure that we are able to deploy to the selected computers. We can do this by selecting the "Check Capability" button from the toolbar.

When we select this button, the following checks are carried out:

(a) Do we have access to the computers admin$ shared folder ?

(b) Can we write files to the computers admin$ shared folder ?

(c) Can we read files from the computers admin$ shared folder ?

(d) Does the %systemroot%\microsoft.net\framework\v1.1???? or %systemroot%\microsoft.net\framework\v2.???? or %systemroot%\microsoft.net\framework\v3.???? folder exist on the computer ?

The Status Boxes will change color to indicate the results. The results may be any of the following:

The computer cannot be communicated with. These computer entries will automatically be unchecked.

If you select this computer name a message will appear in the Message box explaining why this computer cannot be communicated with. Please see the Troubleshooting section for more details of these messages.

The computer can be communicated with and doesn't have .Net 1.1 (or higher) on it.

The computer can be communicated with and does have .Net 1.1 (or higher) on it.

The computer is already running a Remote Control Client. These computer entries will automatically be unchecked.

(This will only occur if you have already detected the client and it is in your Client Tree)

If you want to re-deploy the Remote Control Client to a computer that already has it, select this computer again.

5. You are ready to deploy the Remote Control Client to the checked computers. Select the "Deploy" button to begin the deployment.

The Status Boxes for each computer will indicate the deployment progress. You will see the following:

.Net is being copied to the computer. This may take between 10 seconds and 5 minutes depending on network speed and the number of clients you are deploying to.

.Net is being installed to the computer. This may take between 2 - 10 minutes depending on the speed of the computer, its available RAM etc.

Remote Control Client is being copied to the computer. This may take between 10 - 30 seconds depending on network speed and the number of clients you are deploying to.

Remote Control Client is being installed to the computer. This may take between 1 - 2 minutes depending on the speed of the computer, its available RAM etc.

When the deployment has finished both of the Status Boxes will turn green.

6. Confirm communication with the Remote Control Client.

When you select the "Contact" button, the Controller will attempt to communicate with the selected Clients. When contact has been established you will see the client appear in the Client Tree.

In some cases it may be necessary to manually add the computer to the Client Tree - this can be done using the "Manually Register" button.

After deploying the Remote Control Clients, you can assign permissions to User Accounts to allow the Clients to be controlled.


Assigning Clients to Accounts

Assigning Clients to User Accounts

After the Remote Control Clients have been deployed to computers and communication has been established, you will want to assign the Clients to User Accounts. You can assign Clients to as many User Accounts as you want. Assigning a Client to a User Account will let that User Account "see" the Client in the Clients Panel.

To assign Clients to a User Account you will need permission to access the Administrator - Config tab.

Select the Administrator - Config - Users - Clients tab.

Select the User Account you want to assign Clients to.

Select the Clients you want to assign to this User Account.

You can do this by selecting the individual Clients.

Or by selecting entire domains. If the domain is selected then any new Clients in this domain will also be available to this User Account.

You can also use the "Select All Clients" button to select all available clients and domains.

And you can use the "Clear All Clients" button to unselect all available clients and domains.

When you have finished selecting the Clients you want to assign to this User Account, you MUST select the "Update Changes" before these changes will come into effect.

If someone is using this account when you assign Clients and perform an update, they can immediately access those Clients by selecting the "Scan" button from their Clients Panel.


Client Management

This is the tab where Clients can be managed

If you right click on a client you will see this menu appear (some options may not be visible depending on permissions).

  • Reset - this will cause the Client to perform a reset of itself (this will not restart the client computer).
  • Catch - this will cause the Client to send messages that it can not send to the normal recipient to be sent to you.
  • Release - this will cause the Client to be available to be caught by a hub or other controller.
  • Poll - this will send a request to the client to report in.
  • VNC - this will install and start a VNC server on the client computer and connect to this server - after the VNC session is finished, the server will be stopped and uninstalled.

If you right click on a domain you will see this menu appear (some options may not be visible depending on permissions).

  • Reset All - this will cause any Clients under the domain in the client tree to be Reset.
  • Poll All - this will cause any Clients under the domain in the client tree to be sent a Poll request.


Refresh

Refreshing Clients

This will refresh the list of Clients in the list. The display will be cleared and repopulated. The Clients will initially be displayed in red until they report in and then they will show their current IP address and turn green.


Autopoll

Autopolling Clients

On a timed basis any Client that is displayed in the list in red will be sent a Poll request asking it to report in.


Sort by Domain

Sorting Clients by Domain

This will sort the Clients by their domain in a hierarchical manner.


Sort by Client Name

Sorting Clients by Client Name

This will sort the Clients alphabetically by their name.


Sort by IP

Sorting Clients by IP Address

This will sort the Clients by their IP address.


Package Management

This is the tab where Packages can be managed.

It has several views and each view has different options.


Refresh

Refreshing Packages

This will clear the current view and repopulate it. This allows new groups, packages or changes in package configuration to be viewed.


Sort by UserSort

Sorting Packages by UserSort

This is the most flexible view with the user able to organise the packages into whatever structure they desire.

Groups and packages can be dragged and dropped.

This is the right click menu and these options (excluding rename) are also available on the toolbar.

New Root Group

This creates a group at the base level.

New Child Group

This creates a group under the selected group or package.

Delete Group/Package

This deletes the selected item and all it's child items (so you need to be somewhat careful in it's use).


Sort by Group

Sorting Packages by Group

This view allows for packages to be created and edited.

This is the right click menu for Groups (some options may not be visible on some groups due to permissions) and these options (excluding rename and release/own) are also available in the toolbar.

This is the right click menu for Packages (some options may not be visible on some packages due to permissions) and these options (excluding rename) are also available in the toolbar.

New Group

This creates a new group.

New Package

This creates a new Package under the selected Group.

Delete Group

This deletes the selected Group.

Copy Group

This creates a copy the selected Group and all it's Packages.

Delete Package

This deletes the Package.

Copy Package

This copies the Package into the same Group the original is in.

Release Group

This will release a group and make it a shared group that anyone can use.

Release Package

This will release a package and make it a shared package that anyone can use.

Own Group

This will make the current user the owner of this group so that they can edit it. While a Group is owned, only the owner can edit it.

Own Package

This will make the current user the owner of this package so that they can edit it. While a Package is owned, only the owner can edit it.


Sort by Package

Sorting Packages by Package

This displays a list of all the Packages in an alphabetical list.

It is not possible to change Groups or Packages in this view but Packages can be edited.


Schedule Management

This is the tab where scheduled packages can be managed.

Scheduled Packages get sent out to Clients based on the event that they were scheduled for.

You can disable schedules so that they do not get sent out to clients.

You can enable packages that have been previously disabled.

You can delete scheduled packages.

To see what event and other options have been configured for the package, you can select it and change to the Administrator - Setup tab. This will show you the configuration for the Package and the event it has been scheduled for.


Refresh

Refreshing a Schedule

This will clear the current view and repopulate it. This allows new schedules to be viewed.


Sort by User

Sorting a Schedule by User

This will sort the scheduled packages by the user who scheduled them.

If you expand the user you will find the packages scheduled by that user and if you expand the package you will see all the clients for which this package was scheduled.


Sort by Domain

Sorting a Schedule by Domain

This will sort the scheduled packages by the domain of the client they are scheduled for.

If you expand the domain you will find the clients that have packages scheduled and if you expand the client you will see all the packages that have been scheduled for this client.


Sort by Client Name

Sorting a Schedule by Client Name

This will sort the scheduled packages by the client they are scheduled for.

If you expand the client you will find the packages that are scheduled for the client and if you expand the package you will see all who scheduled the package.


Sort by Package

Sorting a Schedule by Package

This will sort the scheduled packages by the package name.

If you expand the package you will find the domain of the clients that have been scheduled and if you expand the domain you will see all the clients for which this package was scheduled.


Using Packages

To have a package executed at one or more clients we need to select the package that we want and then select the clients that we want it to be executed on. Some of the packages have options on the setup page to fill in.

The next steps will take you through selecting and executing a package. We will use a package to find out what the operating system and version is on a computer.


Package Setup

Firstly we will be selecting the package which is in the Report - Computer Environment Group using the User Sort view of the Packages Tree.

After we select it you will notice that the Setup tab to the right gets populated.

Now we want to change to the Clients tab and select the clients that we want this package to be executed on.

Please note: The order in which you select the Package and select the Clients is not important.

In this instance you can just select the LOCALHOST Client which means that the package will be executed on the current machine.

Now that you have both the Package and Client selected we want to execute the Package. You can do this by scrolling to the bottom of the setup page (scrollbar at the right) and click the Execute button.

This is the screen you will see when the Package has been successfully executed.


Package Results

If you switch to the Results tab (under the Administrator tab) you will see the results of the Package start to come in (the package icon will be yellow [image] and the client icon will contain some green bars [image] ).

When the results have finished arriving (the package icon will be green [image] and the client icon will contain three green bars [image] ), you can left click on a client to get the results for that client or left click on a package to get consolidated results from all the clients that had been selected to execute the package.

The results will appear in the panel to the far right.

You can export the results to XML, HTML or CSV using the right click menu. You can also change the orientation of the results using the right click menu.


Scheduling Packages

Scheduling a Package is very similar to executing a Package.

After you have selected the Package and selected the Clients that you want the Package to be executed on you will see the Setup screen again.

You will notice that the checkbox "Send Immediately" is ticked. This means that if you clicked the Execute button the Package would be sent out to the selected Clients immediately and would be executed immediately.

If you un-tick the "Send Immediately" checkbox the package will not be sent out immediately and you can choose which at which event you would like the Package to be executed.

In this case you can select that the Package will be executed the next Client startup. When you are happy with your settings you can click the Execute button to schedule the Package.

This is the screen you will see when the Package has been successfully scheduled.

You will also be able to see the scheduled package in the Schedule tab.


Report Packages

Using Report Packages

Report Packages are Packages designed to report information about the client.

These sort of Packages are executed on the Client, return their results and then finish.

Examples of this sort of Package are asset reporting and reporting if a CD is in the drive.


Monitoring Packages

Using Monitoring Packages

Monitoring Packages are Packages designed to run for a period of time on the client and report changes as they happen.

These sort of Packages are executed on the Client, and wait for the event they are watching to happen. At this point they then return that set of results and continue to wait for their event.

Examples of this sort of Package are monitoring free disk space and monitoring removal drives.


Maintenance Packages

Using Maintenance Packages

Maintenance Packages are Packages designed to perform actions on the client.

These sort of Packages are executed on the Client, perform the requested action, return their result and then finish.

Examples of this sort of Package are to terminate a process and map a network drive.


Record Filter

The record filter has five parts to enable you to select just the information you require.

  1. Date
  2. Package
  3. Client
  4. Event
  5. Status

If you select the date range you are interested in and click the Refresh Lists button you will find that the Package and Client lists will be populated based on your date selection.

You can now either expand the Package and Client lists to fine tune your selection.

Or choose the Select All Packages and Select All Clients buttons.

There are corresponding Clear All Packages and Clear All Clients buttons that unselect all Packages and Clients.

You can also filter on the type of historical record and the status of the historical record.

  • Startup, Logon, Logoff and Shutdown events are initiated by Clients as these events happen.
  • User Request events are events initiated by the user such as request package update or request package termination.
  • Update events are when updates have been sent back from the Client.
  • Exception events are when errors happened in the Remote Controller.
  • Packages Sent events are when Packages have been sent out to the Clients.
  • Packages Executed events is for when the Package has started execution on the Client.
  • Results events are when results have been returned from the Client.

For the Status we can filter on Success, Failure, or Error as the status of the historical record.

You can also select all the event and status checkboxes by clicking the Select All Record Types, and correspondingly unselect all the checkboxes by clicking the Clear Record Type button.


Viewing Records

Once you have selected your filter criteria you can go to the Records tab and click the Refresh Results button to see the historical records that match your criteria.

Initially you will be shown a list of Packages that meet your selection criteria.

If you select the Package you will see the consolidated results for all the clients the package was executed on.

If you expand the Package you will see the domain and then if you expand the domain you will see the Clients.

If you expand the Client you will see the history of the Package on that Client. In this case you can see that there were three steps. The Package was prepared for sending, the Package was successfully started on the Client, and the Client sent a final result update.

You can export the results to XML, HTML or CSV using the right click menu. You can also change the orientation of the results using the right click menu.


Help and Support

The Help tab gives you access to online resources to assist you in using Remote Control.

One of these resources is the online Forum where users of Remote Control share their information and ways of utilising the power of Remote Control.


Home

This is the home page of Laek Limited and contains information about Remote Control and news that may be of interest to you.


Forum

The Forum is where users can search for information on how to use packages, collaborate with other users on solving issues using Remote Control and provides a wealth of information.


Troubleshooting
         Previous Topic

The following is a list of the more commonly encountered issues while deploying and running Remote Control.

  1. I cannot logon to Remote Control.
  2. I don't see any computers in my Client list .
  3. The Computers in my Client list are red .
  4. I see Packages in my User Sort View but when I select them nothing happens .
  5. I don't see any Packages in my Package list .
  6. When I try to send a Package I get an error message in the Setup Page .
  7. When I send a Package to a Remote Control Client it fails and returns a "red" result .
  8. I cannot create a new Package Group .
  9. I cannot create a new Package .
  10. I cannot rename/delete a Package Group .
  11. I cannot edit/rename/delete a Package .
  12. I cannot see a Client\Packages\Schedule list etc.
  13. Remote Control runs slowly.
  14. During Deployment I see non-existent computers.
  15. During Deployment I see unqualified computer names.
  16. During Deployment I have computers that return a Ping Timeout error message.
  17. During Deployment I have computers that return a RPC server unavailable error message.
  18. During Deployment I have computers that return a Access denied error message.
  19. How do I setup DCOM for remote access on Windows 2000?
  20. How do I setup DCOM for remote access on Windows XP and Windows Server 2003?
  21. How do I setup DCOM for remote access on Windows XP SP2?

I cannot logon to Remote Control.

When you start Remote Control do the following:

  1. Check the "Specify User" check box on the Logon form.
  2. Use RCAdministrator as the User.
  3. Use 0 as the password (that's the number zero).
  4. Use Laek as the domain.

After logging into Remote Control as the RCAdministrator, check the user accounts are formatted correctly i.e. domain\username or domain.ext\username e.g. laek.com\rcadministrator

Top of page .

I don't see any computers in my Client list

  1. Navigate to the Administrator - Config - Clients panel.
  2. Make sure the Clients you want to manage have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

The Computers in my Client list are red.

  1. Make sure Auto-poll is turned on (it may take up to 60 seconds for all computers to report in after this).
  2. Make sure you can ping the remote computer (Use Start - Run and enter cmd.exe to bring up a dos box. Then enter "ping computername" to verify the computer can be communicated with.
  3. If the computer can be pinged then check the firewall on your computer and make sure Remote Control is specified in the firewall exceptions. Add it as an exception if it isn't already there.
  4. If it is an exception in the firewall, check that Remote Control is specified in the remote computer firewall exceptions. Add it as an exception if it isn't already there.

Top of page .

I see Packages in my User Sort View but when I select them nothing happens.

  1. Navigate to the Administrator - Config - Groups panel.
  2. Make sure the Package Groups you want to use have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I don't see any Packages in my Package list.

  1. Navigate to the Administrator - Config - Groups panel.
  2. Make sure the Package Groups you want to use have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page ..

When I try to send a Package I get an error message in the Setup Page.

Check the Remote Control Title Bar. It should say something like "Remote Control vrs ?.? \\domain\username connected". If it simply says "Remote Control vrs ?.?", you will need to close Remote Control and restart it.

Top of page .

When I send a Package to a Remote Control Client it fails and returns a "red" result.

  1. Check the firewall on your computer and make sure Remote Control is specified in the firewall exceptions. Add it as an exception if it isn't already there.
  2. If it is an exception in the firewall, check that Remote Control is specified in the remote computer firewall exceptions. Add it as an exception if it isn't already there.
  3. Click your RMB on the client in the Client list and select "Reset" from the drop down menu that appears.

Top of page .

I cannot create a new Package Group.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that Group Management has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot create a new Package.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that Package Management has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.
  5. If the problem persists verify that you are not trying to create a Package in a reference group.

Top of page .

I cannot rename/delete a Package Group.

  1. Check that you Own the Package Group (i.e. the Package Group name is displayed in orange text).
  2. If you own the Package Group then:
  3. Navigate to the Administrator - Config - Permissions panel.
  4. Make sure that Group Management has been checked.
  5. If it is not checked then check it.
  6. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot edit/rename/delete a Package.

  1. Check that you Own the Package (i.e. the Package name is displayed in orange text).
  2. If you own the Package then:
  3. Navigate to the Administrator - Config - Permissions panel.
  4. Make sure that Package Management has been checked.
  5. If it is not checked then check it.
  6. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot see a Client\Packages\Schedule list etc.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that specified permission has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.
  5. If the problem persists: Close Remote Control and restart it.

Top of page .

Remote Control runs slowly.

Verify that you have enough free memory (use ctrl-alt-del to bring up your task manager and check the available free memory). If there is insufficient memory or the problem persists, try closing Remote Control and restarting it.

Top of page.

During deployment I see non-existent computers.

In deployment, when you select the "Show Accounts" button, the list shows computer accounts defined in the domain controller. You may have computer accounts defined for computers that don't exist. These computer names will appear in the "Unqualified" list as they cannot be communicated with.

Top of page .

During deployment I see unqualified computer names.

These are computers that have no current IP address and DNS cannot be resolved. In deployment, when you select the "Show Accounts" button, computer names will appear in the "Unqualified" list if they cannot be communicated with or they cannot be resolved via DNS. If DNS fails, Remote Control cannot get an IP address for the computer.

Top of page .

During deployment I have computers that return a Ping Timeout error message.

In deployment, when you select the "Show Accounts" button, a DNS lookup is performed to get the IP address of the computer and then an attempt is made to 'ping' the computer. If this fails you will receive a "Ping Timeout" error message. To resolve this, check the firewall on the remote computer and ensure that "ICMP echo request" is enabled.

Top of page .

During deployment I have computers that return a RPC server unavailable error message.

In Deployment, when you select the "Show Accounts" button the following steps are performed:

  1. A DNS lookup is performed to get the IP address of the computer.
  2. The computer is "pinged" to verify it can be reached and it is "active".
  3. A remote process is started on the computer to detect .Net.
  4. The results are written to a temporary text file on the remote computer.
  5. The temporary text file is read and deleted.

If any of these steps cannot be performed it is unlikely that you will be able to automatically deploy the Remote Control Clients. In most cases of failure, you will see a message indicating the RPC server is unavailable. This can be caused by:

  1. DCOM failure - Make sure DCOM is enabled for remote access (see the end of this document for further instructions).
  2. WMI failure - Make sure WMI is enabled for remote access (see the end of this document for further instructions).
  3. Firewall failure - Make sure Remote Access is enabled in the firewall of the remote computer.

Top of page .

During Deployment I have computers that return a Access Denied error message.

Check that a Local Administrator or Domain Administrator account exist for your username on the remote computer.

Top of page .

How do I setup DCOM for remote access on Windows 2000?

  1. Click Start, click Run, and then type DCOMCNFG.
  2. Click Default Properties. Select Enable Distributed COM on this computer. Set the Default Authentication Level to Connect (None also works). Set the Default Impersonation Level to Identify (Impersonate also works).
  3. Click Default Security.
  4. Under Default Access Permissions click Edit Default. Add SYSTEM and INTERACTIVE. The user whose authentication credentials will be used to access the COM application must also be included in this list. There are many ways to do this. You can add the specific user or simply add a group the user belongs to. Possible values include; Domain\Username (A specific user); Domain\Administrators (All administrators on a specific domain); Everyone (All users).
  5. Under Default Launch Permissions click Edit Default. Make sure the Default Launch Permissions have the same values as the Default Access Permissions.
  6. Click Default Protocols. Make sure Connection-oriented TCP/IP is listed first.
  7. You must now configure the COM application you wish to access. Click Applications and right-click on the application you wish to configure. Select Properties. If your COM application is a DLL, you must first create a surrogate EXE for it using the SetDllHost tool. Once a surrogate EXE is created, the surrogate name will appear in the list of applications. Select Properties for the surrogate and continue on.
  8. Click General. Set the Authentication Level to Default.
  9. Click Location. Select Run application on this computer.
  10. Click Security. Select Use default access permissions and Use default launch permissions.
  11. Click Identity. Select The launching user. This setting specifies the account that will be used to run the COM application once it is launched by a client program. The launching user is the user account of the client process that launched the server, and is the recommended setting. Depending on the COM application you want to connect to, you may need to change this to:
  12. The interactive user - The user that is currently logged on to the machine hosting the COM application (use this if you are going to access MS Excel and make it visible).
  13. This user - Specify a user account that will always be used to run the COM application regardless of which user is accessing it.
  14. For more information on "How To Configure Office Applications to Run Under the Interactive User Account" (which includes information on using Terminal Services), please see the References section at the bottom of this page.
  15. Click Endpoints. Select default system protocols.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

Top of page .

How do I setup DCOM for remote access on Windows XP and Windows Server 2003?

  1. If the computer belongs to a workgroup instead of a domain, make sure that it does not use simple file sharing. Open Windows Explorer or double click My Computer, click Tools, then go to Folder Options, click View and uncheck Use simple file sharing (Recommended) in Advanced settings.
  2. Click Start, click Programs, click Administrative Tools, click Component Services.
  3. Expand Component Services, expand Computers, and right-click My Computer. Select Properties.
  4. Click Default Properties. Select Enable Distributed COM on this computer. Set the Default Authentication Level to Connect (None also works). Set the Default Impersonation Level to Identify (Impersonate also works).
  5. Click Default COM Security.
  6. Under Default Access Permissions click Edit Default. Add SYSTEM, INTERACTIVE, and NETWORK. The user whose authentication credentials will be used to access the COM application must also be included in this list. There are many ways to do this. You can add the specific user or simply add a group the user belongs to. Possible values include; Domain\Username (A specific user); Domain\Administrators (All administrators on a specific domain); Everyone (All users).
  7. Under Default Launch Permissions click Edit Default. Make sure the Default Launch Permissions have the same values as the Default Access Permissions.
  8. Click Default Protocols. Make sure Connection-oriented TCP/IP is listed first.
  9. You must now configure the COM application you wish to access. Expand Component Services, expand Computers, expand My Computer, and click DCOM Config. Right-click on the application you wish to configure. Select Properties. If your COM application is a DLL, you must first create a surrogate EXE for it using the SetDllHost tool. Once a surrogate EXE is created, the surrogate name will appear in the list of applications. Select Properties for the surrogate and continue on.
  10. Click General. Set the Authentication Level to Default.
  11. Click Location. Select Run application on this computer.
  12. Click Security. Set Launch Permissions to Use Default. Set Access Permissions to Use Default. Set Configuration Permissions to Use Default.
  13. Click Identity. Select The launching user. This setting specifies the account that will be used to run the COM application once it is launched by a client program. The launching user is the user account of the client process that launched the server, and is the recommended setting. Depending on the COM application you want to connect to, you may need to change this to:
  14. The interactive user - The user that is currently logged on to the machine hosting the COM application (use this if you are going to access MS Excel and make it visible).
  15. This user - Specify a user account that will always be used to run the COM application regardless of which user is accessing it.
  16. Click Endpoints. Select default system protocols.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

For more information on "How To Configure Office Applications to Run Under the Interactive User Account" (which includes information on using Terminal Services), please see the References section at the bottom of this page.

Top of page .

How do I setup DCOM for remote access on Windows XP SP2?

Microsoft has added some DCOM security enhancements to Windows XP Service Pack 2. In addition to the above Windows XP DCOM configuration settings, you will need to perform the following steps.

  1. If the computer belongs to a workgroup instead of a domain, make sure that it does not use simple file sharing. Open Windows Explorer or double click My Computer, click Tools, then go to Folder Options, click View and uncheck Use simple file sharing (Recommended) in Advanced settings.
  2. Click Start, click Programs, click Administrative Tools, click Component Services.
  3. Expand Component Services, expand Computers, and right-click My Computer. Select Properties.
  4. Click Default COM Security.
  5. Under Default Access Permissions click Edit Default. Make sure SYSTEM, INTERACTIVE, NETWORK, and the user whose authentication credentials will be used to access the COM application all have Local and Remote Access permissions.
  6. Under Default Access Permissions click Edit Limits. Service Pack 2 comes with the following default values: ANONYMOUS LOGON (Local Access) and Everyone (Local and Remote Access). Make sure these values are listed, and then add the user whose authentication credentials will be used to access the COM application. Allow this user to have Local and Remote Access permissions.
  7. Under Default Launch Permissions click Edit Default. Make sure SYSTEM, INTERACTIVE, NETWORK, and the user whose authentication credentials will be used to access the COM application all have Local and Remote Launch permissions, as well as Local and Remote Activation permissions.
  8. Under Default Launch Permissions click Edit Limits. Service Pack 2 comes with the following default values: MACHINE\Administrators (Local and Remote Launch, Local and Remote Activation) and Everyone (Local Launch and Local Activation). Make sure these values are listed, and then add the user whose authentication credentials will be used to access the COM application. Allow this user to have Local and Remote Launch permissions, as well as Local and Remote Activation permissions.
  9. Service Pack 2 comes with a built-in Windows Firewall. If the firewall is turned on, you will have to allow your COM application network access to your machine. You can do this by opening Windows Firewall and adding your COM application to the list of programs under the Exceptions tab. If Display a notification when Windows Firewall blocks a program is selected, then you will be prompted to unblock the COM application when you run your application the first time. Select Unblock when prompted.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

Top of page .

For more information on DCOM security enhancements in Microsoft Windows XP Service Pack 2, see http://www.microsoft.com/technet/prodtechnol/winxppro/maintain/sp2netwk.mspx#XSLTsection126121120120 .